---
title: RTCPeerConnectionIceErrorEvent.address
slug: Web/API/RTCPeerConnectionIceErrorEvent/address
tags:
  - API
  - Address
  - ICE
  - IP
  - Negotiation
  - Networking
  - Property
  - RTCPeerConnectionIceErrorEvent
  - Reference
  - WebRTC
  - WebRTC API
  - WebRTC Device API
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The {{domxref("RTCPeerConnectionIceErrorEvent")}} property <code><strong>address</strong></code> is a string which indicates the local IP address being used to communicate with the {{Glossary("STUN")}} or {{Glossary("TURN")}} server during negotiations. The error which occurred involved this address.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>address</em> = <em>rtcPeerConnectionIceErrorEvent</em>.address;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which specifies the local IP address of the network connection to the ICE server with which negotiations were occurring when the error occurred. This address identifies the network interface on the local device which is being used to attempt to establish the connection to the remote peer.</p>

<p>This can be useful on multi-homed systems—devices with more than one network connection—to determine which network interface is being used. For example, on a mobile phone, there are typically at least two network interfaces available: the cellular connection and a WiFi connection.</p>

<p>If the local IP address isn't exposed as part of a local candidate, the value of <code>address</code> is <code>null</code>.</p>

<h2 id="Examples">Examples</h2>

<p>This example creates a handler for {{domxref("RTCPeerConnection.icecandidateerror_event", "icecandidateerror")}} events which creates human readable messages describing the local network interface for the connection as well as the ICE server that was being used to try to open the connection, then calls a function to display those as well as the event's {{domxref("RTCPeerConnectionIceErrorEvent.errorText", "errorText")}} property's contents.</p>

<pre class="brush: js notranslate">pc.addEventListener("icecandidateerror", (event) =&gt; {
  let networkInfo = `[Local interface: ${event.address}:${event.port}`;
  let iceServerInfo = `[ICE server: ${event.url}`;

  showMessage(errorText, iceServerInfo, networkInfo);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcpeerconnectioniceerrorevent-address', 'RTCPeerConnectionIceErrorEvent.address')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCPeerConnectionIceErrorEvent.address")}}</p>
</div>
